﻿html {
    background-color: #e2e2e2;
    margin: 0;
    padding: 0;
}

body {
    background-color: #fff;
    /*border-top: solid 10px #000;*/
    color: #333;
    font-size: .85em;
    font-family: "Segoe UI", Verdana, Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    padding-top: 5px;
}

a {
    color: #333;
    outline: none;
    padding-left: 3px;
    padding-right: 3px;
    text-decoration: underline;
}

    a:link, a:visited,
    a:active, a:hover {
        color: #333;
    }

    a:hover {
        background-color: #c7d1d6;
    }

header, footer, hgroup,
nav, section {
    display: block;
}

mark {
    background-color: #a6dbed;
    padding-left: 5px;
    padding-right: 5px;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.clear-fix:after {
    content: ".";
    clear: both;
    display: block;
    height: 0;
    visibility: hidden;
}

h1, h2, h3,
h4, h5, h6 {
    color: #000;
    margin-bottom: 0;
    padding-bottom: 0;
}

h1 {
    font-size: 2em;
}

h2 {
    font-size: 1.75em;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

    h5 a:link, h5 a:visited, h5 a:active {
        padding: 0;
        text-decoration: none;
    }


/* main layout
----------------------------------------------------------*/
.content-wrapper {
    margin: 0 auto;
}

#body {
    background-color: #efeeef;
    clear: both;
    padding-bottom: 5px;
}

.main-content {
    padding: 5px;
}

.featured + .main-content {
    background: url("../Images/heroAccent.png") no-repeat;
}

header .content-wrapper {
    padding-top: 0px;
}

footer {
    clear: both;
    background-color: #e2e2e2;
    font-size: .8em;
    height: 15px;
}

table {
    padding: 0px;
    margin: 0px;
    width: 100%;
}

tr, td {
    padding: inherit;
    margin: inherit;
}

.border {
    border: solid 2px lightgray;
    padding: 5px;
    overflow: auto;
    margin-bottom: 5px;
}

.border1 {
    border: solid 1px lightgray !important;
    padding: 5px !important;
    overflow: auto !important;
    margin-bottom: 5px !important;
}

.borderbottom {
    border-bottom: solid 2px lightgray;
}

.bordertop {
    border-top: solid 2px lightgray;
}

.borderbottom1 {
    border-bottom: solid 1px lightgray;
}

.bordertop1 {
    border-top: solid 1px lightgray;
}

/* site title
----------------------------------------------------------*/
.site-title {
    color: #c8c8c8;
    font-family: Rockwell, Consolas, "Courier New", Courier, monospace;
    font-size: 1.3em;
    margin: 0;
    padding-left: 5px;
}

    .site-title a, .site-title a:hover, .site-title a:active {
        background: none;
        color: #c8c8c8;
        outline: none;
        text-decoration: none;
    }


/* login
----------------------------------------------------------*/
#login {
    display: block;
    font-size: .85em;
    margin: 0 0 10px;
    text-align: right;
}

    #login a {
        background-color: #d3dce0;
        margin-left: 10px;
        margin-right: 3px;
        padding: 2px 3px;
        text-decoration: none;
    }

        #login a.username {
            background: none;
            margin: 0;
            padding: 0;
            text-decoration: underline;
        }

    #login ul {
        margin: 0;
    }

    #login li {
        display: inline;
        list-style: none;
    }

#homeLink {
    text-decoration: none;
    padding-left: 0px;
    padding-right: 0px;
}

/* menu
----------------------------------------------------------*/
ul#menu {
    font-size: 1.3em;
    font-weight: 600;
    margin: 0 0 5px;
    padding: 0;
    text-align: right;
}

    ul#menu li {
        display: inline;
        list-style: none;
        padding-left: 15px;
    }

        ul#menu li a {
            background: none;
            color: #999;
            text-decoration: none;
        }

            ul#menu li a:hover {
                color: #333;
                text-decoration: none;
            }


/* page elements
----------------------------------------------------------*/
/* featured */
.featured {
    background-color: #fff;
}

    .featured .content-wrapper {
        background-color: #7ac0da;
        background-image: -ms-linear-gradient(left, #7ac0da 0%, #a4d4e6 100%);
        background-image: -o-linear-gradient(left, #7ac0da 0%, #a4d4e6 100%);
        background-image: -webkit-gradient(linear, left top, right top, color-stop(0, #7ac0da), color-stop(1, #a4d4e6));
        background-image: -webkit-linear-gradient(left, #7ac0da 0%, #a4d4e6 100%);
        background-image: linear-gradient(left, #7ac0da 0%, #a4d4e6 100%);
        color: #3e5667;
        padding: 20px 40px 30px 40px;
    }

    .featured hgroup.title h1, .featured hgroup.title h2 {
        color: #fff;
    }

    .featured p {
        font-size: 1.1em;
    }

/* page titles */
hgroup.title {
    margin-bottom: 10px;
}

    hgroup.title h1, hgroup.title h2 {
        display: inline;
    }

    hgroup.title h2 {
        font-weight: normal;
        margin-left: 3px;
    }

/* features */
section.feature {
    width: 300px;
    float: left;
    padding: 10px;
}

/* ordered list */
ol.round {
    list-style-type: none;
    padding-left: 0;
}

    ol.round li {
        margin: 25px 0;
        padding-left: 45px;
    }

        ol.round li.zero {
            background: url("../Images/orderedList0.png") no-repeat;
        }

        ol.round li.one {
            background: url("../Images/orderedList1.png") no-repeat;
        }

        ol.round li.two {
            background: url("../Images/orderedList2.png") no-repeat;
        }

        ol.round li.three {
            background: url("../Images/orderedList3.png") no-repeat;
        }

        ol.round li.four {
            background: url("../Images/orderedList4.png") no-repeat;
        }

        ol.round li.five {
            background: url("../Images/orderedList5.png") no-repeat;
        }

        ol.round li.six {
            background: url("../Images/orderedList6.png") no-repeat;
        }

        ol.round li.seven {
            background: url("../Images/orderedList7.png") no-repeat;
        }

        ol.round li.eight {
            background: url("../Images/orderedList8.png") no-repeat;
        }

        ol.round li.nine {
            background: url("../Images/orderedList9.png") no-repeat;
        }

/* content */
article {
    float: left;
    width: 70%;
}

aside {
    float: right;
    width: 25%;
}

    aside ul {
        list-style: none;
        padding: 0;
    }

        aside ul li {
            background: url("../Images/bullet.png") no-repeat 0 50%;
            padding: 2px 0 2px 20px;
        }

.label {
    font-weight: 700;
}

/* login page */
#loginForm {
    float: left;
    width: 55%;
}

    #loginForm .validation-error {
        display: block;
        margin-left: 15px;
    }

    #loginForm .validation-summary-errors ul {
        margin: 0;
        padding: 0;
    }

    #loginForm .validation-summary-errors li {
        display: inline;
        list-style: none;
        margin: 0;
    }

    #loginForm input {
        width: 250px;
    }

        #loginForm input[type="checkbox"],
        #loginForm input[type="submit"],
        #loginForm input[type="button"],
        #loginForm button {
            width: auto;
        }

#socialLoginForm {
    margin-left: 40px;
    float: left;
    width: 40%;
}

    #socialLoginForm h2 {
        margin-bottom: 5px;
    }

.autoCreationSureWx {
    background-color: #FFCCCC !important;
}

.autoCreationNav {
    background-color: #FBDEFF !important;
}

#socialLoginList button {
    margin-bottom: 12px;
}

#logoutForm {
    display: inline;
}

/* contact */
.contact h3 {
    font-size: 1.2em;
}

.contact p {
    margin: 5px 0 0 10px;
}

.contact iframe {
    border: 1px solid #333;
    margin: 5px 0 0 10px;
}

/* forms */
fieldset {
    border: none;
    margin: 0;
    padding: 0;
}

    fieldset legend {
        display: none;
    }

    fieldset ol {
        padding: 0;
        list-style: none;
    }

        fieldset ol li {
            padding-bottom: 5px;
        }

label {
    display: block;
    font-size: 1.2em;
    font-weight: 600;
}

    label.checkbox {
        display: inline;
    }

input, textarea {
    border: 1px solid #e2e2e2;
    background: #fff;
    color: #333;
    font-size: 1.2em;
    margin: 5px 0 6px 0;
    padding: 3px;
    width: 300px;
}

textarea {
    font-family: inherit;
    width: 500px;
}

    input:focus, textarea:focus {
        border: 1px solid #7ac0da;
    }

input[type="checkbox"] {
    background: transparent;
    border: inherit;
    width: auto;
}

input[type="submit"],
input[type="button"],
button {
    background-color: #d3dce0;
    border: 1px solid #787878;
    cursor: pointer;
    font-size: 1.2em;
    font-weight: 600;
    padding: 7px;
    margin-right: 8px;
    width: auto;
}

td input[type="submit"],
td input[type="button"],
td button {
    font-size: 1em;
    padding: 4px;
    margin-right: 4px;
}

/* info and errors */
.message-info {
    border: 1px solid;
    clear: both;
    padding: 10px 20px;
}

.message-error {
    clear: both;
    color: #e80c4d;
    font-size: 1.1em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.message-success {
    color: #7ac0da;
    font-size: 1.3em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.error {
    color: #e80c4d;
}

/* styles for validation helpers */
.field-validation-error {
    color: #e80c4d;
    font-weight: bold;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #e80c4d;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #e80c4d;
    font-weight: bold;
    font-size: 12px;
}

.validation-summary-valid {
    display: none;
}


/* tables
----------------------------------------------------------*/
table {
    border-collapse: collapse;
    border-spacing: 0;
    border: 0 none;
}

th {
    font-size: 1.2em;
    text-align: left;
    border: none 0px;
    padding-left: 0;
}

    th a {
        display: block;
        position: relative;
    }

        th a:link, th a:visited, th a:active, th a:hover {
            color: #333;
            font-weight: 600;
            text-decoration: none;
            padding: 0;
        }

        th a:hover {
            color: #000;
        }

    th.asc a, th.desc a {
        margin-right: .75em;
    }

        th.asc a:after, th.desc a:after {
            display: block;
            position: absolute;
            right: 0em;
            top: 0;
            font-size: 0.75em;
        }

        th.asc a:after {
            content: '▲';
        }

        th.desc a:after {
            content: '▼';
        }

td {
    padding: 0.25em 2em 0.25em 0em;
    border: 0 none;
}

tr.pager td {
    padding: 0 0.25em 0 0;
}


/********************
*   Mobile Styles   *
********************/
@media only screen and (max-width: 850px) {

    /* header
    ----------------------------------------------------------*/
    header .float-left,
    header .float-right {
        float: none;
    }

    /* logo */
    header .site-title {
        margin: 10px;
        text-align: center;
    }

    /* login */
    #login {
        font-size: .85em;
        margin: 0 0 12px;
        text-align: center;
    }

        #login ul {
            margin: 5px 0;
            padding: 0;
        }

        #login li {
            display: inline;
            list-style: none;
            margin: 0;
            padding: 0;
        }

        #login a {
            background: none;
            color: #999;
            font-weight: 600;
            margin: 2px;
            padding: 0;
        }

            #login a:hover {
                color: #333;
            }

    /* menu */
    nav {
        margin-bottom: 5px;
    }

    ul#menu {
        margin: 0;
        padding: 0;
        text-align: center;
    }

        ul#menu li {
            margin: 0;
            padding: 0;
        }


    /* main layout
    ----------------------------------------------------------*/
    .main-content,
    .featured + .main-content {
        background-position: 10px 0;
    }

    .content-wrapper {
        padding-right: 10px;
        padding-left: 10px;
    }

    .featured .content-wrapper {
        padding: 10px;
    }

    /* page content */
    article, aside {
        float: none;
        width: 100%;
    }

    /* ordered list */
    ol.round {
        list-style-type: none;
        padding-left: 0;
    }

        ol.round li {
            padding-left: 10px;
            margin: 25px 0;
        }

            ol.round li.zero,
            ol.round li.one,
            ol.round li.two,
            ol.round li.three,
            ol.round li.four,
            ol.round li.five,
            ol.round li.six,
            ol.round li.seven,
            ol.round li.eight,
            ol.round li.nine {
                background: none;
            }

    /* features */
    section.feature {
        float: none;
        padding: 10px;
        width: auto;
    }

        section.feature img {
            color: #999;
            content: attr(alt);
            font-size: 1.5em;
            font-weight: 600;
        }

    /* forms */
    input {
        width: 90%;
    }

    /* login page */
    #loginForm {
        border-right: none;
        float: none;
        width: auto;
    }

        #loginForm .validation-error {
            display: block;
            margin-left: 15px;
        }

    #socialLoginForm {
        margin-left: 0;
        float: none;
        width: auto;
    }


    /* footer
    ----------------------------------------------------------*/
    footer .float-left,
    footer .float-right {
        float: none;
    }

    footer {
        text-align: center;
        height: auto;
        padding: 10px 0;
    }

        footer p {
            margin: 0;
        }
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button, .ui-widget td, .ui-widget .col {
    font-family: Verdana,Arial,sans-serif;
    font-size: 0.9em;
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
    font-family: Verdana,Arial,sans-serif;
    font-size: 1em;
}

select {
    border: 1px solid #e2e2e2;
    background: #fff;
    color: #333;
    font-size: 1.2em;
    margin: 5px 0 6px 0;
    padding: 3px;
    width: 312px;
}

.border {
    border: solid 2px lightgray;
    padding: 5px;
    overflow: auto;
    margin-bottom: 3px;
}

label {
    font-size: 0.9em;
    font-weight: bold;
}

.alterbackground tr:nth-child(even) {
    background-color: #eee;
}

.alterbackground tr:nth-child(odd) {
    background-color: #fff;
}

/*.alterbackground tr:nth-child(even) table tr {
    background-color: #eee;
}

.alterbackground tr:nth-child(odd) table tr {
    background-color: #fff;
}*/

.deicing {
    background-color: orange !important;
    color: black !important;
}

.anti-icing {
    background-color: green !important;
    color: white !important;
}

.defaultDeicingStatus {
    background-color: blue;
    color: white;
}

.btnCloseBayCirculation {
    background-color: lightgray !important;
}

.btnOpenBayCirculation {
    background-color: red !important;
}

.diInBay, .diInStagingBay, .diOutTaxiway, .diInTaxiway {
    background-color: blue !important;
    color: white !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diStopped {
    background-color: blue !important;
    color: white !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diInStagingBreakSet, .diBreakSet {
    background-color: yellow !important;
    color: black !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diConfigured {
    background-color: aqua !important;
    color: black !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diInDeicing {
    background-color: orange !important;
    color: black !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diInVerification {
    background-color: purple !important;
    color: white !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diPermittedToLeave {
    background-color: green !important;
    color: white !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diClrearedBay {
    background-color: white !important;
    color: black !important;
    font-size: 12px !important;
    font-weight: bold;
}

.diClosedBay {
    background-color: gray !important;
    color: white !important;
    font-size: 12px !important;
    font-weight: bold;
}

.ui-tooltip {
    padding: 1px 1px;
    color: red !important;
    border-radius: 20px;
    font: normal 14px "Helvetica Neue", Sans-Serif;
    box-shadow: 0 0 7px black;
}

fieldset {
    display: block;
    /*margin-left: 2px;
    margin-right: 2px;*/
    margin: 0 5px;
    padding-top: 0.35em;
    padding-bottom: 0.625em;
    padding-left: 0.75em;
    padding-right: 0.75em;
    border: solid 1px lightgray;
    text-decoration-color: red;
    height: 100%;
}

    fieldset legend {
        display: block;
    }

.selectable {
    cursor: pointer;
}

.bayHeader {
    cursor: pointer !important;
}

.selectable:hover {
    background-color: lightblue !important;
}


/*.trSignboardState {
    cursor: pointer;
}*/
.trSignboardState:hover {
    cursor: pointer;
background-color: lightblue!important;
    border: solid lightblue;
}


.selected {
    background-color: lightblue !important;
}

.ui-state-active {
    border: 1px solid #9399a0 !important;
    background: #9399a0 !important;
    font-weight: normal !important;
    color: #ffffff !important;
}

div#dvMagSchedulesList > form:nth-of-type(even) {
    background: #e0e0e0;
}

.ui-menu {
    width: 200px;
}

.ui-widget-overlay {
    background: #444446 !important;
    opacity: .3 !important;
}

.linkAsButton {
    font-family: Arial,Helvetica,sans-serif;
    font-size: 1em;
    padding: 4px;
    margin-right: 4px;
    background-color: #d3dce0;
    border: 1px solid #787878;
    cursor: pointer;
    width: auto;
    text-rendering: auto;
    letter-spacing: normal;
    word-spacing: normal;
    text-transform: none;
    text-indent: 0px;
    text-shadow: none;
    display: inline-block;
    margin: 0em 0em 0em 0em;
    font: 13.3333px Arial;
    border-collapse: collapse;
    font-weight: 600;
    text-decoration: none;
}

.btnToogleSectionDirection {
    background-color: green;
    color: white;
    visibility: visible;
    display: inline-block;
    clear: both;
    font-size: 50px;
    white-space: nowrap;
    text-align: center;
    padding: 0px;
    left: 50%;
    top: 0px;
    width: 250px;
}

.clsEditFlightDialog {
    font-size: 1.09em !important;
}

.time, .serverTime {
    margin: 0em;
    width: 95px;
    font-family: Arial,Helvetica,sans-serif;
    font-size: 1em;
    border: 1px solid #e2e2e2;
    background: #fff;
    color: #333;
    padding: 3px;
    -webkit-padding-start: 1px;
    overflow: hidden;
    -webkit-appearance: textfield;
    -webkit-rtl-ordering: logical;
    -webkit-user-select: text;
    cursor: auto;
    align-items: center;
    display: -webkit-inline-flex;
}

iframe {
    display: block;
    margin: 0;
    padding: 0;
    border: gray 2px solid;
}

.tblReportDialog {
    width: 100% !important;
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    margin: 0 auto;
    position: relative;
}

.signboardWarning{
    animation: color-change-yellow 1s infinite;
}

.signboardError{
    animation: color-change-red 1s infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes color-change-red {
    0% {
        color:red;
    }
      50% { color: white; }

    100% {
        color:red;
    }
}

@keyframes color-change-yellow {
    0% {
        color:yellow;
    }
      50% { color: white; }

    100% {
        color:yellow;
    }
}
.valveButton {
    margin: 0px;
    color: white;
    font-weight: bold;
}

.valveButtonOpen {
    margin: 0px;
    background: green;
    border: green 1px solid;
    color: white;
}

.valveButtonClosed {
    margin: 0px;
    background: red;
    border: red 1px solid;
    color: white;
}

.valveTd {
    padding: 2px;
    font-size: 1.2em !important;
}

.tblTrucksBrixMix {
    width: 100% !important;
    min-height: 0px !important;
    max-height: none !important;
    height: 25.6458px !important;
    margin-top: 10px !important;
    padding: 10px !important;
}

.orderasc {
    color: blue;
}

.orderdesc {
    color: blue;
}

.sort {
    cursor: pointer;
}

@-webkit-keyframes clignote {
    0% {
        box-shadow: 0px 0px 10px red;
    }

    50% {
        box-shadow: 0px 0px 0px red;
    }

    100% {
        box-shadow: 0px 0px 10px red;
    }
}

@keyframes snowRemoval {
    0% {
        color:white;
/*        border: solid white 5px;
*/    }

    50% {
        color:blue;
/*        border: solid blue 5px;
*/    }
}

.clsRunwaySnowRemoval {
    animation-name: snowRemoval;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}

.clsRunwayClosed {
    color: white;
    background-color: red !important;
}

.clsRunwayDefault {
    color: white;
    background-color: green !important;
}

.sectionDirectionUp {
    background: url("../Images/Up128.png");
}

.sectionDirectionDown {
    background: url("../Images/Down128.png");
}

.emergency {
    background: url("../Images/EmergencyStop.png");
}

.emergencyOff {
    text-shadow: 0 1px 0 white;
    border-radius: 3px;
    padding: 5px 10px;
    border: 1px solid #DDD;
    box-shadow: 0px 0px 0px red;
}

.emergencyOn {
    text-shadow: 0 1px 0 white;
    border-radius: 3px;
    padding: 5px 10px;
    border: 1px solid red;
    box-shadow: 0px 0px 30px red;
    -webkit-animation-name: clignote;
    -webkit-animation-duration: 1s;
    -webkit-animation-iteration-count: infinite;
}

.autoWeatherAuto {
    background: url("../Images/WeatherOn.png");
}

.autoMixProAuto {
    background: url("../Images/MixProOn.png");
}

.autoIngroundLightsAuto {
    background: url("../Images/LightsAuto.png");
}

.autoPanelsAuto {
    background: url("../Images/PanelsAuto.png");
}

.autoNavCanadaAuto {
    background: url("../Images/NavCanadaAuto.png");
}

.autoWeatherOff {
    background: url("../Images/WeatherOff.png");
}

.autoMixProOff {
    background: url("../Images/MixProOff.png");
}

.autoIngroundLightsOff {
    background: url("../Images/LightsManual.png");
}

.autoPanelsManual {
    background: url("../Images/PanelsManual.png");
}

.autoPanelsOff {
    background: url("../Images/PanelsOff.png");
}

.autoNavCanadaOff{
    background: url("../Images/NavCanadaOff.png");
}

.btnAuto {
    width: 40px;
    height: 40px;
    background-size: 100%;
    background-size: 40px auto;
}

.autoError {
    border-color: red;
    border-width: 2px;
}


.drag {
    background-color: #dbedf3 !important;
    border-color: blue;
    border-width: 1px;
    border-style: solid;
    margin-bottom: 0px !important;
    width: 178px;
}

.msgAlert {
    -webkit-animation: flicker 2s infinite;
    text-align: center;
    margin-top: 3em;
    font-size: 1.2em;
    color: red;
    font-weight: bold;
}

@keyframes panelError {
    0%   {border:solid white 5px;}
    50% {border:solid red 2px;}
}

.somePanelsInError {
    animation-name: panelError;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}

@-webkit-keyframes flicker {
    0% {
        opacity: 0;
    }

    9% {
        opacity: 0;
    }

    10% {
        opacity: .5;
    }

    13% {
        opacity: 0;
    }

    20% {
        opacity: .5;
    }

    25% {
        opacity: 1;
    }
}

.dtsConnectionError {
    background-color: #f40404 !important;
    color: white;
}
